/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.comment-wrapper {
  font-size: 1.4rem;
  line-height: 2rem;
  margin: 1.6rem;
  width: 330px;
  box-sizing: border-box;

  &.closedComment {
    .ant-collapse-header {
      color: #909090 !important;
    }

    .ant-collapse-content-box {
      color: #909090;
    }
  }
  .repliesCount {
    border-left: 2px solid #909090;
    margin: 5px 20px 5px 12px;
    padding-left: 10px;
    font-weight: 500;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;

    &.closedComment {
      color: #909090 !important;
    }
  }
  .createAnswere {
    margin: 15px 0 15px 0;
    color: #0032d9 !important;
    span {
      text-decoration: underline;
      font-weight: 500;
    }
  }
  .collapseWrapper {
    .comment-collapse {
      font-size: 1.4rem !important;
      line-height: 20px !important;
      min-height: 28px;

      .ant-collapse-content-box {
        padding: 0 !important;
        overflow-wrap: break-word !important;
      }

      .ant-collapse-header {
        padding: 0 !important;
        line-height: 20px !important;
        align-items: center !important;
        font-weight: 500 !important;
      }

      .panelWrapper {
        opacity: 0;
        transition: opacity 0.4s;
        &.visible {
          opacity: 1;
        }
      }

      .comment-content {
        padding-right: 24px;
        &.ant-typography {
          font-size: 1.4rem;
          & > div {
            margin-bottom: 1rem;
          }
          & > .ant-typography-collapse,
          .ant-typography-expand {
            font-size: 1.4rem;
            font-weight: 400;
            line-height: 22px;
            color: #000;
            text-decoration: underline;
            margin-inline-start: 0;
            display: block;
            width: fit-content;
            &:hover {
              color: #fff;
            }
          }
        }
      }

      .replies {
        margin: 0 0 5px 0;

        .commentHeader {
          margin-top: 15px;
        }

        .commentName {
          height: 28px;
          font-weight: 500;
        }
      }

      .comment-item-dropdown {
        width: 30px;
      }

      .ant-collapse-header-text {
        min-width: 0;
      }

      .commentName {
        padding-right: 5px;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
      }

      .comment-updated {
        font-weight: 400;
        margin-bottom: 1rem;
      }

      .commentHeader {
        display: flex;
        justify-content: space-between;
        align-items: center;
        .comment-item-dropdown {
          width: 30px;
        }
      }

      .ant-collapse-arrow {
        margin-right: 0 !important;
        vertical-align: 0 !important;
      }

      .lea-icon {
        width: 24px;
        height: 24px;
        text-align: center;
      }
    }
  }

  & .comment-reply-header {
    margin-left: 12px;
    font-size: 1.4rem;
    font-weight: 500;
  }

  & .reply-divider-open-comment {
    margin-left: -22px;
    border: none;
    border-bottom: 1px solid;
    width: 32.9rem;
  }

  & .replies {
    & .reply-content-divider {
      margin-left: -7px;
    }
  }

  & .reply-divider {
    border: none;
    border-bottom: 1px solid;
    width: 32.9rem;
    margin: 35px 0 23px -7px;
  }
  & .reply-content-divider {
    border: none;
    border-bottom: 1px solid;
    width: 29.8rem;
    margin: 22px 0 25px 0;
  }
  & .comment-header-content,
  .comment-reply-content {
    margin-left: 1.2rem;
    font-weight: 400;
    &.ant-typography {
      font-size: 1.4rem;
    }
  }

  & .reply-preview-container {
    & .commentHeader {
      display: flex;
      font-weight: 500;
      margin-left: 12px;
      margin-bottom: 1rem;
      align-items: center;
      justify-content: space-between;

      .comment-item-dropdown {
        width: 30px;
      }
    }
    & .ant-typography-ellipsis-single-line {
      & > div {
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }
  }
}
.ant-collapse-ghost > .ant-collapse-item > .ant-collapse-content > .ant-collapse-content-box {
  padding-bottom: 5px !important;
  padding-top: 0px !important;
  padding-left: 12px !important;
}
